<?php

namespace App\Enums;

enum QuestionExplanationTypeEnum: string
{
    case TEXT = 'text';

    case VIDEO = 'video';

    case IMAGE = 'image';

    case AUDIO = 'audio';

    case NULLABLE = 'none';

    public function label(): string
    {
        return match ($this) {
            self::TEXT => 'Text',
            self::VIDEO => 'Video',
            self::IMAGE => 'Image',
            self::AUDIO => 'Audio',
            self::NULLABLE => 'None',
        };
    }

    public static function values(): array
    {
        return array_column(self::cases(), 'value');
    }
}
